commit:     371e9035bf90c73331eb7b8cb9b74fef918a011e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 19 05:16:10 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun 19 05:16:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=371e9035

dev-ruby/mixlib-shellout: add 3.2.8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/mixlib-shellout/Manifest                  |  1 +
 .../mixlib-shellout/mixlib-shellout-3.2.8.ebuild   | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/mixlib-shellout/Manifest 
b/dev-ruby/mixlib-shellout/Manifest
index 06e59fc3300e..64a8d9713ddd 100644
--- a/dev-ruby/mixlib-shellout/Manifest
+++ b/dev-ruby/mixlib-shellout/Manifest
@@ -1,2 +1,3 @@
 DIST mixlib-shellout-3.0.9.tar.gz 42476 BLAKE2B 
4fab1d0f7d7ee5190f65d312304c7137d940b5cc19bb205d4de1d14eb5bc5829671560785b7f3179220246433b15b9022f8a1d16fb7491e180940c9dc6da5280
 SHA512 
7234c188e25cc6da3c4859eb12e4f86ce0d6538d17e4c90b1b5105fe677fcd13d884d7045be9767473c3ac63ffcfac7af25dc8efcec184928ba32852a5a760cc
 DIST mixlib-shellout-3.2.7.tar.gz 46666 BLAKE2B 
0ee97eef27618d326487a3884115d0954147297a75001404c8df0717f71c6acde5ec9ebc9320d12493f1ce4e65b3d74ba1143ba7e4a631629de0d65e3b50bcb7
 SHA512 
de1d07e7a3f26ec934f57a37a82995b5522a5c196263b7ff1917c1a77cce3104d67a8dccab2aa907c3db854520ce6b5f78ef33fca8d4bffd0ba0cc659da1c16f
+DIST mixlib-shellout-3.2.8.tar.gz 46644 BLAKE2B 
329e5e92fda0677e417cf938988d610b6da324bb1b9e4044dd9e4feac97aff8b1b54d89ad91e29e6e0c196d6429b43e5b52a0da57ae8c0ce59e9242b5f08bd48
 SHA512 
8b801c63ff458c50807802bf0e5c055f978ebe8104c310e12b00508b00eb57ccdbee0672ebf0bdb601f82064a0279f3f07291cc24d59b3eacb7aa51fb39ecc99

diff --git a/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.8.ebuild 
b/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.8.ebuild
new file mode 100644
index 000000000000..86cd9e250fc0
--- /dev/null
+++ b/dev-ruby/mixlib-shellout/mixlib-shellout-3.2.8.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRA_DOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="mixlib-shellout.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Run external commands on Unix or Windows"
+HOMEPAGE="https://github.com/chef/mixlib-shellout";
+SRC_URI="https://github.com/chef/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+ruby_add_rdepend "dev-ruby/chef-utils"
+
+each_ruby_prepare() {
+       # Make sure we actually use the right interpreter for testing
+       sed -i -e "/ruby_eval/ s:ruby :${RUBY} :" spec/mixlib/shellout_spec.rb 
|| die
+
+       # Avoid spec that requires an interactive terminal
+       sed -e '/with subprocess writing lots of data to both stdout and 
stderr/,/^      end/ s:^:#:' \
+               -i spec/mixlib/shellout_spec.rb || die
+}

Reply via email to